%global major   1
%define libname %mklibname spiro %major
%define devname %mklibname -d spiro

Name:           libspiro
Version:        20190731
Release:        %mkrel 1
Summary:        Library to simplify the drawing of beautiful curves

Group:          System/Libraries
License:        GPLv2+
URL:            http://libspiro.sourceforge.net/
Source0:        https://github.com/fontforge/libspiro/releases/download/%{version}/libspiro-%{version}.tar.xz
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool

%description
This library will take an array of spiro control points and
convert them into a series of bézier splines which can then
be used in the myriad of ways the world has come to use béziers.

%package        -n %libname
Summary:        Library to simplify the drawing of beautiful curves
Group:          System/Libraries

%description    -n %libname
This library will take an array of spiro control points and
convert them into a series of bézier splines which can then
be used in the myriad of ways the world has come to use béziers.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       spiro-devel = %{version}-%{release}

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn libspiro-%{version}

%build
autoreconf -i
automake --foreign -Wall
%configure2_5x --disable-static
%make

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %devname
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libspiro.pc



%changelog
* Mon Oct 28 2019 tex - 20190731-1pclos2019
- new release (needed for new gegl)
